Super Octopus logoSuper Octopus Docs

List Events

Returns Gamma-compatible events from the synced catalog

GET
/events

Query Parameters

limit?integer

Maximum number of rows to return.

offset?integer

Offset for pagination.

active?boolean

Filter by active status.

closed?boolean

Filter by closed status.

archived?boolean

Filter by archived status.

tag?string

Filter by tag slug. Alias of tag_slug.

tag_id?integer

Filter by numeric tag id.

tag_slug?string

Filter by tag slug.

series_slug?string

Filter by series slug.

slug?string

Filter by event slug.

order?string

Sort column for the response.

ascending?boolean

Set to true for ascending order.

creator?string

Optional creator filter. Use a creator wallet address or a site identifier to scope results to markets available on that site.

Response Body

application/json

application/json

curl -X GET "https://example.com/events"
[
  {
    "id": "23784",
    "ticker": "what-will-happen-before-gta-vi",
    "slug": "what-will-happen-before-gta-vi",
    "title": "What will happen before GTA VI?",
    "description": "This is a market on predicting events that will occur before the release of Grand Theft Auto VI.",
    "resolutionSource": "",
    "startDate": "2025-05-02T15:48:25.262673Z",
    "endDate": "2026-07-31T12:00:00Z",
    "image": "https://polymarket-upload.s3.us-east-2.amazonaws.com/what-will-happen-before-gta-vi-7hpNkEzQEqUE.jpg",
    "icon": "https://polymarket-upload.s3.us-east-2.amazonaws.com/what-will-happen-before-gta-vi-7hpNkEzQEqUE.jpg",
    "active": true,
    "closed": false,
    "archived": false,
    "createdAt": "2025-05-02T14:55:28.249386Z",
    "updatedAt": "2026-04-14T20:51:22.410362Z",
    "tags": [
      {
        "id": "100215",
        "label": "All",
        "slug": "all",
        "createdAt": "2023-10-25T18:55:50.681Z",
        "updatedAt": "2026-03-09T22:29:23.723738Z",
        "requiresTranslation": false
      }
    ]
  }
]
{
  "type": "bad request",
  "error": "q is required"
}